clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
UnusedParametersCheck.cpp File Reference
`#include "UnusedParametersCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
Include dependency graph for UnusedParametersCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy

## Functions
template<typename T >
static CharSourceRange | clang::tidy::removeNode (const MatchFinder::MatchResult &Result, const T *PrevNode, const T *Node, const T *NextNode)
static FixItHint | clang::tidy::removeParameter (const MatchFinder::MatchResult &Result, const FunctionDecl *Function, unsigned Index)
static FixItHint | clang::tidy::removeArgument (const MatchFinder::MatchResult &Result, const CallExpr *Call, unsigned Index)